.base-publish-job:
  stage: publish
  image: openjdk:11-jdk-slim
  dependencies:
    - build:smasly-event-api
  cache:
    key: smasly-gradle
    paths:
      - .gradle/wrapper
      - .gradle/caches
    policy: pull
  before_script:
    # This should help to enable gradle cache
    - export GRADLE_USER_HOME=`pwd`/.gradle
    - mkdir -p $CI_REPORTS_DIR
    - cd $SERVICE_NAME
    - chmod +x ./gradlew
  script:
    - ./gradlew publish &> ../$CI_REPORTS_DIR/$CI_JOB_NAME.log
  artifacts:
    when: always
    expire_in: 3d
    paths:
      - $CI_REPORTS_DIR
  only:
    - master
    # Run pipeline for all branches name started with 'release'
    - /^release.*$/

publish:smasly-event-api:
  extends: .base-publish-job
  variables:
    SERVICE_NAME: smasly-event-api
